#include <bits/stdc++.h>
using namespace std;
long long n, x;
int main() {
cin >> n >> x;
int a[n+5];
double y=-100000;
for(int i=1; i<=n; i++) {
    cin >> a[i];
    if(y<a[i]) y=a[i];
}
long long k=abs(x-y);
cout << k << endl;
return 0;
}